API docs / Image models

Qwen Image API

Generates images from text prompts with exceptional text rendering capabilities, particularly excelling at complex multilingual text including Chinese characters. Supports both text-to-image generation and image-to-image editing with advanced capabilities including style transfer, object insertion and removal, text editing within images, and human pose manipulation. Features comprehensive image understanding tasks such as object detection, semantic segmentation, depth estimation, edge detection, novel view synthesis, and super-resolution. Supports LoRA weights for customization and offers various aspect ratios and output formats.

Model id
qwen/qwen-image
Provider
qwen
Output
Image
Price
From 9 credits per run, the same as on voor.ai. Options such as length or resolution can change it.

Request

POST https://voor.ai/v1/generations with "model": "qwen/qwen-image". Poll GET /v1/tasks/{id} or receive the signed webhook. See the overview for keys, idempotency, webhooks and errors.

curl https://voor.ai/v1/generations \
  -H "Authorization: Bearer $VOOR_API_KEY" \
  -H "Content-Type: application/json" \
  -H "Idempotency-Key: $(uuidgen)" \
  -d '{
  "model": "qwen/qwen-image",
  "input": {
    "prompt": "A red fox standing in fresh snow at golden hour, soft light"
  },
  "callback_url": "https://example.com/webhooks/voor"
}'

# Then poll the task (or wait for the webhook):
curl https://voor.ai/v1/tasks/TASK_ID \
  -H "Authorization: Bearer $VOOR_API_KEY"

Input parameters

NameTypeDetails
promptrequiredstring

Prompt for generated image

reference_imagesarray of URLs

Input image for img2img pipeline

Up to 1 files · Accepts image/*

aspect_ratiostring

Default: 16:9

One of: 1:1, 16:9, 9:16, 4:3, 3:4, 3:2, 2:3

enhance_promptboolean

Enhance the prompt with positive magic.

Default: false

image_sizestring

Default: optimize_for_quality

One of: optimize_for_quality, optimize_for_speed

seednumber

Random seed. Set for reproducible generation

negative_promptstring

Negative prompt for generated image

Default:

guidancenumber

Guidance for generated image. Lower values can give more realistic images. Good values to try are 2, 2.5, 3 and 3.5

Default: 3

Min 0 · Max 10

stepsnumber

Number of denoising steps. Recommended range is 28-50, and lower number of steps produce lower quality outputs, faster.

Default: 30

Min 1 · Max 50

output_formatstring

Default: webp

One of: webp, jpg, png

extra_lora_scalestring

Scales for additional LoRAs as an array of numbers (e.g., 0.5, 0.7). Must match the number of weights in extra_lora_weights.

extra_lora_weightsstring

Additional LoRA weights as an array of URLs. Same formats supported as lora_weights (e.g., ['https://huggingface.co/flymy-ai/qwen-image-lora/resolve/main/pytorch_lora_weights.safetensors', 'https://huggingface.co/flymy-ai/qwen-image-realism-lora/resolve/main/flymy_realism.safetensors'])

go_fastboolean

Run faster predictions with additional optimizations.

Default: true

lora_scalenumber

Determines how strongly the main LoRA should be applied.

Default: 1

lora_weightsstring

Load LoRA weights. Only works with text to image pipeline. Supports arbitrary .safetensors URLs, tar files, and zip files from the Internet (for example, 'https://huggingface.co/flymy-ai/qwen-image-lora/resolve/main/pytorch_lora_weights.safetensors', 'https://example.com/lora_weights.tar.gz', or 'https://example.com/lora_weights.zip')

output_qualitynumber

Quality when saving the output images, from 0 to 100. 100 is best quality, 0 is lowest quality. Not relevant for .png outputs

Default: 80

Min 0 · Max 100

strengthnumber

Strength for img2img pipeline

Default: 0.9

Min 0 · Max 1